package sg;

import javax.microedition.lcdui.Canvas;

public class SgActionUtil {
  private SgActionUtil() {
  }

  public static int getSgGameAction(Canvas canvas, int keyCode) {
    int gameAction = canvas.getGameAction(keyCode);
    switch (gameAction) {
      case Canvas.UP:
      case Canvas.DOWN:
      case Canvas.LEFT:
      case Canvas.RIGHT:
      case Canvas.FIRE:
        return gameAction;
      default:
        switch (keyCode) {
          case Canvas.KEY_NUM2:
            return Canvas.UP;
          case Canvas.KEY_NUM8:
            return Canvas.DOWN;
          case Canvas.KEY_NUM4:
            return Canvas.LEFT;
          case Canvas.KEY_NUM6:
            return Canvas.RIGHT;
          case Canvas.KEY_NUM5:
            return Canvas.FIRE;
          case Canvas.KEY_STAR:
            return Canvas.KEY_STAR;
          case Canvas.KEY_POUND:
            return Canvas.KEY_POUND;
          case Canvas.KEY_NUM0:
            return Canvas.KEY_NUM0;
        }
    }

    return gameAction;
  }

}
